Package org.apache.sling.scripting.sightly.impl.engine.runtime

# Class RenderContextImpl

java.lang.Object
org.apache.sling.scripting.sightly.impl.engine.runtime.RenderContextImpl

All Implemented Interfaces:
  `org.apache.sling.scripting.sightly.render.RenderContext`

public class RenderContextImpl extends Object implements org.apache.sling.scripting.sightly.render.RenderContext
Rendering context for HTL rendering units.

## Constructor Summary

Constructors
Constructor
Description
`RenderContextImpl(SightlyEngineConfiguration configuration, ExtensionRegistryService extensionRegistryService, ScriptContext scriptContext)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`call(String functionName, Object... arguments)`
`Bindings`
`getBindings()`
Provide the bindings for this script
`org.apache.sling.scripting.sightly.render.RuntimeObjectModel`
`getObjectModel()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RenderContextImpl

public RenderContextImpl(SightlyEngineConfiguration configuration, ExtensionRegistryService extensionRegistryService, ScriptContext scriptContext)

## Method Details

### getObjectModel

public org.apache.sling.scripting.sightly.render.RuntimeObjectModel getObjectModel()

Specified by:
  `getObjectModel` in interface `org.apache.sling.scripting.sightly.render.RenderContext`

### getBindings

public Bindings getBindings()
Provide the bindings for this script

Specified by:
  `getBindings` in interface `org.apache.sling.scripting.sightly.render.RenderContext`
Returns:
  - the list of global bindings available to the script

### call

public Object call(String functionName, Object... arguments)

Specified by:
  `call` in interface `org.apache.sling.scripting.sightly.render.RenderContext`